From f25d2ac5a72363556f1e104c3434c0b93dccfc8c Mon Sep 17 00:00:00 2001
From: "Stephen R. Scaffidi" <sscaffid@akamai.com>
Date: Thu, 2 Jun 2011 16:59:40 -0400
Subject: [PATCH 2/3] Added test for multi-package issue

---
 t/10index.t |   13 ++++++++++++-
 1 files changed, 12 insertions(+), 1 deletions(-)

diff --git a/t/10index.t b/t/10index.t
index 7301842..b6662c8 100644
--- a/t/10index.t
+++ b/t/10index.t
@@ -5,12 +5,13 @@ $^W = 0;
 use strict;
 use warnings;
 use FindBin qw($Bin);
-use Test::More tests => 53;
+use Test::More tests => 60;
 
 use_ok('CPAN::Site::Index');
 
 test_inspect_archive_for_distro_with_strange_data();
 test_inspect_archive_for_distro_with_packages_that_should_not_be_registered();
+test_inspect_archive_for_distro_with_module_with_multiple_packages();
 
 exit;
 
@@ -55,6 +56,16 @@ sub test_inspect_archive_for_distro_with_packages_that_should_not_be_registered
     _test_inspect_archive_for_distro( $distro_to_test, \%want_packages );
 }
 
+sub test_inspect_archive_for_distro_with_module_with_multiple_packages {
+    my $distro_to_test = 'Distro-With-Multi-Package-Module.tar.gz';
+    my %want_packages  = (
+        'Module::MultiPackage' => '0.01',
+        'Module::MultiPackage::SubPackageOne' => '0.011',
+        'Module::MultiPackage::SubPackageTwo' => '0.012',
+    );
+    _test_inspect_archive_for_distro( $distro_to_test, \%want_packages );
+}
+
 sub _test_inspect_archive_for_distro {
     my $distro        = shift;
     my $want_packages = shift;
-- 
1.7.5.2

